#
# spec file for package yast2-config-printer (Version 2.5.34)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2 yast2-agent-system yast2-base yast2-config-runlevel yast2-core-scr yast2-core-wfm yast2-devtools yast2-lib-printer yast2-lib-wizard yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libycp-devel libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2 yast2-agent-system yast2-base yast2-config-runlevel yast2-core-scr yast2-core-wfm yast2-devtools yast2-lib-printer yast2-lib-wizard yast2-testsuite ycpdoc

Name:         yast2-config-printer
Version:      2.5.34
Release:      42
License:      YaST
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-config-printer-2.5.34.tar.bz2
Requires:     yast2-agent-printerdb yast2-lib-printer yast2 yast2-trans-printer yast2-config-runlevel yast2-agent-system
BuildArchitectures: noarch
Provides:     y2c_prnt
Obsoletes:    y2c_prnt
Summary:      YaST2 - component for printer configuration

%description
This package contains the YaST2 component for printer configuration.

SuSE series: yast

%prep
%setup -n yast2-config-printer-2.5.34

%build
./configure --libdir=%{_libdir}
make

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
Y2DIR="$RPM_BUILD_ROOT/usr/lib/YaST2" make check

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/lib/YaST2
%dir /usr/lib/YaST2/clients
%dir /usr/lib/YaST2/modules
%dir /usr/lib/YaST2/include
%dir /usr/lib/YaST2/menuentries
/usr/lib/YaST2/modules/Printconf.ycp
/usr/lib/YaST2/clients/printconf*
/usr/lib/YaST2/include/printconf/*
/usr/lib/YaST2/menuentries/menuentry_printconf.y2cc
/usr/lib/YaST2/scrconf/etc_printcap.scr
/usr/lib/YaST2/scrconf/cfg_printer.scr
/usr/lib/YaST2/servers_non_y2/ag_etc_printcap
%doc /usr/share/doc/packages/yast2-config-printer

%changelog -n yast2-config-printer
* Fri May 03 2002 - jsrain@suse.cz
- Fixed: "/" now allowed in remote queue names (Bug #16023)
* Mon Apr 29 2002 - jsrain@suse.cz
- Fixed: Configuration of novell printer set bad name of redirection
  script (Bug #16026)
* Mon Apr 22 2002 - pblahos@suse.cz
- Fixed: printing did not work when username or password were
  specified for samba or novell printer. Redirect scripts were
  called improperly.(Bug #15936)
* Thu Mar 21 2002 - pblahos@suse.cz
- Buttons for testing remote printers/connections are hidden
  during the installation. Network probably doesn't work yet.
  Also testing of raw printers is disabled. (Bug #15192)
- /usr/lib/lpdfilter/bin/lprsetup is called instead of link
  /usr/sbin/lprsetup. (Bug #15212)
- When creating new prefilter and forwarding queues at once,
  forwarding queue name wasn't checked for uniqueness (Bug #15218)
* Mon Mar 18 2002 - pblahos@suse.cz
- _auto module doesn't perform autodetection anymore. (Bug #15083)
* Fri Mar 15 2002 - pblahos@suse.cz
- Added _( ) around "Configuration options". (Bug #15029)
* Wed Mar 13 2002 - pblahos@suse.cz
- Changed button Continue --> OK to satisfy text. (Bug #14836)
- Fixed test of prefiter queues. Corresponding forwarding queue
  wasn't written (Bug #14475)
- Samba/Novell password isn't written into /etc/printcap but to
  /etc/lpdfilter/$QUEUE/redirect, which is lp:lp 0750 (Bug #14106)
* Mon Mar 11 2002 - pblahos@suse.cz
- Hi-color image isn't printed in test print on postscript printers
  (Bug #13776)
* Fri Mar 08 2002 - pblahos@suse.cz
- Installation::continue_mode doesn't exist anymore. Now Mode::cont
  must be used. (Bug #14587)
* Wed Mar 06 2002 - pblahos@suse.cz
- _auto module returns $[] if there is no change (Back or Abort
  pressed) (Bug #14526)
- Directory /etc/gs.upp isn't created anymore. (Bug #14531)
- Popup "Changes will be saved" isn't shown during proposal.
  (Bug #14471)
- Formfeed was handled incorrectly. (Bug #14254)
* Mon Mar 04 2002 - kkaempf@suse.de
- Replace empty locale (translatable string) with normal string,
  (empty strings can't be translated, see #14370).
* Wed Feb 27 2002 - pblahos@suse.cz
- Comment for option is shown if any. (Bug #13992)
- Added comment pointing to an exemplary options into printer
  conf file. (Bug #13954)
- Uses ieee identifiers in addition to db identifiers when getting
  printer name (Bug #13957)
- Correct handling of radio buttons when selecting way of
  configuration of autodetected printer. (Bug #13956)
* Mon Feb 25 2002 - pblahos@suse.cz
- Queue used for testing printer is called y2test.
- Testmode changed: now it works as a screenshot mode.
* Thu Feb 21 2002 - pblahos@suse.cz
- Longer -- more descriptive printer entry in summary.
- Implemented checking of string validity in ValueText
- Links for testing each print queue added to the very first screen
  of printconf (Bug #13514)
* Mon Feb 18 2002 - pblahos@suse.cz
- Main printconf module returns `back, `next or `abort
- Unique keys are saved to libhd.
* Fri Feb 08 2002 - pblahos@suse.cz
- '-' and '_' must not be the first character in the queue name
  (Bug #13114)
- When autoconfiguring printer, the same numeric suffix is appended
  to all queues added to one printer. (Bug #13112)
- Button 'OK' changed to 'Printout finished' during testpage
  printing. Button 'OK' is too attractive. (Bug #13111)
* Thu Feb 07 2002 - pblahos@suse.cz
- Supports Textual options and options aliases (Compound options)
- Proposal infrastructure.
- Reloading of database implemented.
* Mon Feb 04 2002 - pblahos@suse.cz
- support for vendor-supplied databases
- .rc.config.DEFAULT_PRINTER replaced by .sysconfig.printer.DEFAULT_PRINTER
- Call lprsetup with -color.
- Fixed: agent for reading printcap handles result and does not hang
  if there is a comment in printcap
- Added help text saying that default printer becomes default after
  login. (Bug #12065)
- support for foreign database
- "raw" state of the remote printer was set to invalid value (nil)
  and hence the printer wasn't shown in summary (Bug #12970)
* Wed Jan 30 2002 - pblahos@suse.cz
- names of files from /etc/lpdfilter are now allowed as queue names
- '-' allowed in queue name
- code for reading princap and printer settings moved to agent
- Fixed: selection of configuration by clicking on the richtext
  widget didn't work, combo content was grabbed instead.
* Mon Jan 28 2002 - pblahos@suse.cz
- SuSEconfig run and restart of service removed from printconf_write
- printcap lines needn't be finished by \ (backslash)
- lp1, raw, remote are again allowed as printer names
- Adding remote printer works again.
* Mon Jan 21 2002 - pblahos@suse.cz
- Buttons OK and Cancel switched on the parallel port details dialog
- Uses lpdfilter.
- Uses new postscript test page.
* Fri Jan 11 2002 - pblahos@suse.cz
- parallel ports io ports may be specified (Bug#12523)
- uses module Summary
- when adding printer, does initial paper size selection by
  regional settings.
- uses module Report to report errors during save.
* Mon Jan 07 2002 - pblahos@suse.cz
- printconf_auto.ycp: file for autoinstallation data preparation.
* Fri Jan 04 2002 - pblahos@suse.cz
- Uses yast2-agent-printerdb as printer database server.
* Wed Dec 05 2001 - pblahos@suse.cz
- After lookup for hosts on network, first is selected.
- Added 3rd parameter to select to satisfy new libycp.
- Only lower-case queue names are allowed since now. (Bug 12541)
- More encodings in ascii printing settings. All encoding ogonkify
  understands used.(Bug 12522)
* Mon Dec 03 2001 - pblahos@suse.cz
- Uses y2autoconf and create-spec.
* Wed Nov 28 2001 - pblahos@suse.cz
- More test cases.
- Some functions moved from yast2-lib-printer.
* Tue Nov 27 2001 - pblahos@suse.cz
- Return values added to function headers.
- Uses module Runlevel instead of client runlevel_adjust.
* Fri Nov 23 2001 - pblahos@suse.cz
- Some function moved to y2l_printer.
* Tue Nov 20 2001 - pblahos@suse.cz
- Implements module.
* Wed Nov 07 2001 - pblahos@suse.cz
- Really all lookups have 3 parameters.
* Wed Nov 07 2001 - pblahos@suse.cz
- Added third parameter to all lookups.
- Button Set as default is placed below Add/Edit/Delete buttons.
  Hopefully now there is enough space for French translations.
  (Bug 11980)
- Migrated to module Wizard
- Saving of ascii print features works again.
* Fri Oct 26 2001 - pblahos@suse.cz
- Predefined names for /dev/usb/lp0-7
- Can print to disk file.
- printconf now saves only currently tested printer (and possibly
  its forwarding queue) when doing test-print (Bug #11993)
- printconf is more careful when deleting deleted printer queues
  from disk (Bug #12020)
- Permissions 0755 are set to /etc/gs.upp (Bug #12017)
* Thu Oct 25 2001 - pblahos@suse.cz
- Writting is faster.
- Permissions 0644 are set to /etc/printcap also when doing test
  print (Bug #6291)
* Wed Oct 24 2001 - pblahos@suse.cz
- Uses module Progress instead of include progress
- Uses wizard sequencer
- More baud rates for serial printers
* Tue Oct 16 2001 - pblahos@suse.cz
- Migrated to yast2 devtools
* Wed Oct 10 2001 - pblahos@suse.cz
- Lookup for all hosts on local network, or for samba servers or
  lpd servers (with opened port 515) is possible. (Bug #9201)
* Mon Oct 01 2001 - pblahos@suse.cz
- Error/informational messages fixed (Bug #10278)
- It is possible to run configuration even if there is no
  printer database or spooler can not be started.
- When no print-spooler is installed, installation of lprng is
  offered.
* Mon Sep 17 2001 - pblahos@suse.cz
- When in installation, printconf stops lpd when exiting.
  (Bug #10638)
* Fri Sep 14 2001 - pblahos@suse.cz
- Abort button works properly in Features dialog. (Bug #10652)
- When testpage printing is not successful, output from lpr
  is shown (Bug #10277)
* Fri Sep 14 2001 - pblahos@suse.cz
- Now apsfilter-setup should not fail to run without reason (#10265)
* Fri Sep 07 2001 - pblahos@suse.cz
- creates empty /etc/printcap if it does not exist before starting
  lpd (Bug 10284)
- if unsuccessful in starting lpd, does not bail out (Bug 10284)
- "all" is forbiden as queue name (Bug 10280)
- /dev/usblp? replaced by /dev/usb/lp?
- Unused functions were removed.
- Progress bar fixed: Labels are shown again.
* Thu Aug 30 2001 - pblahos@suse.cz
- libycp-devel added to needforbuild. Needed for testsuite.
* Mon Aug 27 2001 - pblahos@suse.cz
- Fixed test suites due new yast2-lib-printer
* Thu Aug 23 2001 - pblahos@suse.cz
- Fixed some texts.
- Faster saving. Permitions of apsfilterrc_* files are changed at
  the end.
* Fri Aug 17 2001 - pblahos@suse.cz
- fileexist replaced by SCR::Read(.target.size)!=-1
* Mon Aug 13 2001 - pblahos@suse.cz
- Replaced spaces by tabs.
- UI (`...) changed to UI:: and SCR (`...) changed to SCR::...
- Removed usbmgr dependencies.
* Thu Aug 09 2001 - pblahos@suse.cz
- Write modules optimized.
- Uses runlevel_adjust for adjusting lpd service startup.
- When [Finish] is pressed printconf always saves at least empty
  printcap. It allows lprng to run.
- Closes dialog when leaving printconf.
- Back works properly on screen with autoconfigured printers.
- Test button on screen with autoconfigured printer works.
- lprng will be default spooler. Hence when switching print spooler
  to LPD, lprng is installed.
* Thu Aug 02 2001 - pblahos@suse.cz
- Removed some unnecessarry functions.
- Uses ui/wizard_hw to create dialog with list of configured printers.
- Test suites work again.
* Mon Jul 30 2001 - pblahos@suse.cz
- Many fixes because new YaST2 libs.
- Glyph BulletArrowRight now points at the default queue.
- Sample command on postscript testpage always contains queue name
  (Bug 9510)
* Fri Jul 27 2001 - pblahos@suse.cz
- Texts proof-read.
- New workflow for autodetected printers.
- No automatic network lookup. Now there is button Lookup (bug 9201)
* Mon Jul 23 2001 - pblahos@suse.cz
- Works with new YaST2 libs
- #9016: added keyboard shortcuts to some labels.
* Tue Jun 12 2001 - pblahos@suse.cz
- Removed wrappers that work around textdomain in includes problem.
- Abort button disabled during startup of module.
- Using functions for test page preparation from yast2-lib-printer
- #8330: removed error records from y2log.
- ps test page does not need to be resized.
- Using smb printers detection routines from yast2-lib-printer. Now
  only hosts with smb are offered. Button Get queues works.
- Using printer detection routines from yast2-lib-printer
* Mon May 07 2001 - pblahos@suse.cz
- #7688: Textdomain is set before calling functions included from other
  packages. (also related to #7700)
- #7701: manually configured printers were not shown in summary screen.
* Fri May 04 2001 - pblahos@suse.cz
- #7650: There are again newlines in /etc/printcap after printer was
  edited.
- Ascii print features dialog fix: if test was pressed than any radio
  button or checkbox generated test.
- #7330: Cancel buttons renamed to Back
* Mon Apr 30 2001 - pblahos@suse.cz
- '+' is allowed in 1284 id. Needed for proper autodetection of
  some printers.
* Fri Apr 27 2001 - pblahos@suse.cz
- Removed parallel port detection. (See #6239, #7143)
- Accepts .nodetection argument to skip autodetection of printers
  and parallel ports.
- Fixes in summary module.
- Fixes in USB Epson Stylus detection.
- Requires translation package.
* Tue Apr 24 2001 - pblahos@suse.cz
- Testpage prints again for edited printer
- Starts usbmgr if it does not run.
- Reloading parport_probe before printer detection.
- Added quotes to script that prepares testpage. It is not necessarry
  here but for case.
- Changed detection of parallel ports--uses lib-printer.
* Fri Apr 20 2001 - pblahos@suse.cz
- Removed isnil
- Removed ' in .target.bash calls.
- #7039: there were badly quoted entries in /etc/apsfilterrc.y2prn*
- #7038: fixed help texts relevant to quick setup changed:
  configured queue need not be necessarry monochrome
* Fri Apr 20 2001 - ro@suse.de
- isnil fix
* Wed Apr 18 2001 - pblahos@suse.cz
- make check is made during autobuild.
- Calls escputils to get correct model name for USB Epsons.
- Fixed bad parameters passed to define AnyQuestionPopup.
- Removed .target.bas_background because of fixed target agent.
- Restarting of daemons changed to stop/start from restart.
* Tue Apr 17 2001 - pblahos@suse.cz
- Main dialog is closed before return.
- Summary module implemented.
- Menuentry moved from Hardware to Misc.
- Does not create unnecessary /usr/lib/YaST2/bin
- Does not require aps, netcat.
- Check for root is performed when printconf is started.
- If cups is installed, uninstallation of cups and installation of
  lprold is supplied to user.
* Fri Apr 06 2001 - pblahos@suse.cz
- This package requires y2l_printer.
- Test pages moved to y2l_printer.
- Functions for testing connection moved to y2l_printer.
- Fixed bug in apsfilterrc patching.
- When default printer is removed, PRINTER is set to ""
- Used any agent to modify /etc/usbmgr/preload.conf
- Main page of edited printer shows current values.
- Default queue name for autoconfigured printer is lp or printerX.
  (request from jsmeix)
* Thu Mar 29 2001 - pblahos@suse.cz
- Install documenatation to /usr/share/doc/$RPMNAME
- #6678: Adding printer works also if there are more printers with the
  same name in /etc/printcap
- Installs client scripts to client_non_y2.
- New libycp compilant.
* Mon Mar 26 2001 - pblahos@suse.cz
- Proof-read.
* Thu Mar 22 2001 - pblahos@suse.cz
- Edit printer screen has preview values.
- When there is no default printer, first added printer becomes default.
- Helptexts updated.
* Wed Mar 21 2001 - ro@suse.de
- re-added Build-Arch noarch to specfile
* Wed Mar 21 2001 - pblahos@suse.cz
- Changes in workflow for autodetected printers.
- Selection of connection is not popup but in-wizard dialog.
* Wed Mar 14 2001 - pblahos@suse.cz
- Every printer connection can be edited.
- Uses wizard library for main dialog.
- Uses .target.control.printer_reset -> package is noarch.
* Wed Mar 07 2001 - pblahos@suse.cz
- Package renamed from y2c_prnt to yast2-config-printer
- It is possible to edit connection settings for some printers.
- #5443: workflow improved: when no printer is configured, printconf starts
  with question: do you want to configure new printer manually?
- Files related to deleted printers are removed.
- Printers can be renamed.
- Manufacturer/model can be changed.
- Help texts improved.
- Changes in upp files made outside of printconf are not killed (replaced)
  by printconf. User is asked if he wants to keep changes or edit settings
  (and kill changes).
- #5598: text explains that lp<number> name for printer is forbidden.
- #5142: better message when there is problem with remote printer (lpd).
- Added progress bar when saving.
- Changed dialog for choosing connection type.
- Added progress bar for initialization.
- Speed optimalization: printers db/macros are global variables.
  They are never passed as functions arguments.
- Speed optimalization: process of localization of printers db
  changed. Now only manuf/model names and comments are translated.
- Speed optimalization: manufacturer names from printers db are
  cached in array. Selection of manufacturers is created faster.
- Speed optimalization: indexes are used as ids in manufacturer/
  model selection.
- Depended options (suboptions) are indented in selection.
- Tag documented_7_1 (changes below).
- Documentation complete.
- Coding rules applied.
- Testsuites implemented.
- #6291: setting permitions of /etc/printcap to 0644, so everyone
  can read it.
* Mon Jan 22 2001 - pblahos@suse.cz
- Button (Finish|Next) is always focused.
* Thu Jan 18 2001 - pblahos@suse.cz
- Ascii testpage improved. Now it contains some ISO-8859-[1|2] characters
* Wed Jan 17 2001 - pblahos@suse.cz
- #5271: does not call anyagent read if unique.inf does not exist
- #5781: invalid initial value nil for apsfilterrc fixed
- added some comments for translators
- skip in autodetected printers works even if there are more printers
* Mon Jan 15 2001 - pblahos@suse.cz
- There is not needed to press back twice in autodetected printer screen
  to quit.
- #5593: yast2 does not offer autoconfiguration of GDI printers.  Dialog
  with printer comment is poped up and next is disabled.
- #5596: list of available parports is taken from /proc/parport again.
  .probe.byclass.comm.par did not return all ports always. Same change
  was done for serial ports.
- #5611: parallel ports additional to that autodetected  by .probe.byclass.comm.par
  are not deleted from modules.conf. It made problem to PCI parport cards.
- #5598: printer name must not be lp<number>
- length of name of ascii printer is checked (must be less then 20)
- added some comments for translators
* Thu Jan 11 2001 - pblahos@suse.de
- added full path to commands on .target.bash
- removed writting START_USB to rc.config (usbmgr is started always)
- removed writting printer to rc.config.d/usb.rc.config (obsoleted)
- write printer to /etc/usbmgr/preload.conf iff there is usb printer
* Thu Jan 11 2001 - pblahos@suse.de
- #5443: partially fixed: items in selection of devices are reordered so
  as parallel is first. First item is selected by default.
* Wed Jan 10 2001 - pblahos@suse.cz
- add init strings for Epson USB printers into /etc/apsfilter.. RESET_BEFORE
- delete old apsfilter... before creating new for new printer
- #5443:when no printer is configured nor autodetected, dialog for choosing
  printer type is popped
* Tue Jan 09 2001 - pblahos@suse.cz
- #5271: calls select iff list is not empty, nor nil (does not call select([],0))
- #5269: Trans was enhanced to accept locale, which can appeas in printers.ycp
* Fri Jan 05 2001 - pblahos@suse.cz
- #5147: /sbin/SuSEconfig call improved
- #5143: print test page when creating prefilter queue with "create new tcpip fwd. queue" now works
- unique keys are saved iff Finish is pressed, not when printing test page.
- if /etc/printcap does not exist, it is created when backing up (printconf_backup)
- depended options fixed: when there was no defaultindex, options may have saved incorrectly
* Tue Jan 02 2001 - pblahos@suse.cz
- uses .probe.byclass.comm.par to read correct parport settings
- when saving, writes correct parport settings to modules.conf (.modules.options)
- reads available parallel/serial ports from .probe.byclass.comm.<par|ser>
* Thu Dec 28 2000 - pblahos@suse.cz
- Button Edit is disabled for tcpip fwd queue and for printers that were not configured with yast2.
- Already configured autodetected printers are not offered again. (uses unique_key and .var.lib.yast.unique)
- First printer does not need be "lp", name for ascii printing is always <name>-ascii. (according to new apsfilter)
- Printer name must not contain '-'
- When editing printer name, ascii name is updated immediately.
* Fri Dec 22 2000 - pblahos@suse.cz
- Depended options fixed by indexing.
- *y2bak files do not retain in /etc.
* Tue Dec 19 2000 - kendy@suse.cz
- #4842: Disable the [Info] button if there is no info available
- #4539: Improved information about non-presence in the database
* Mon Dec 18 2000 - kendy@suse.cz
- Bugfix #4019
- [Test] not allowed for Samba/Windows and Novell
- No need to press [Ok] to begin testing Remote or Prefilter
* Wed Dec 13 2000 - mike@suse.de
- new menuentry file
* Tue Dec 12 2000 - kendy@suse.cz
- new menuentry
- /etc/init.d/usb is wrong, changed to /etc/init.d/usbmgr
- Read(.target.tmpdir) instead of /tmp
- testsuite with the first simple test
  ver. 2.1.7
* Fri Dec 08 2000 - kendy@suse.cz
- All /sbin/init.d changed to /etc/init.d
* Thu Dec 07 2000 - arvin@suse.de
- fix double quoted symbol
* Wed Dec 06 2000 - kendy@suse.cz
- YaST2/include/printconf* to the package
  ver 2.1.4
* Wed Dec 06 2000 - kendy@suse.cz
- .bz2 instead of the .gz
  ver 2.1.3
* Tue Dec 05 2000 - kendy@suse.cz
- Requires: y2d_prnt aps netcat
- printconf_write_printer.ycp renamed to printconf_write.ycp
- .target agent is used instead of Shell, ReadY2, ...
- changes in the layout (the main and the hw indep. settings screens)
- bugfix in choosing the hostname for the printer
  ver. 2.1.2
* Tue Nov 28 2000 - kendy@suse.cz
- Some bugfixes (name for TCP/IP forwarding queue, ...)
- Layout changed according to the sigi's recommendition
  ver. 2.1.1
* Tue Nov 07 2000 - kendy@suse.cz
- Deleting
- Editing
- Setting as default
- Prefilter queues
- Serial printers
- Hardware independent settings (pages per sheet, encoding)
- Ascii test page
  ver. 2.1.0
* Mon Jul 24 2000 - kendy@suse.cz
- Preselect the autodetected printer if the user chooses [manual]
- "Printer's settings" dialog: preselect the first option
  ver 2.0.11
* Wed Jul 19 2000 - kendy@suse.cz
- Show OptionComments (if available for given option)
  ver. 2.0.10
* Tue Jul 11 2000 - kendy@suse.cz
- Do not display manufacturer comment when clicked.
  ver. 2.0.9
* Fri Jun 30 2000 - kendy@suse.cz
- Changes in buttons; comments in popups when a printer is selected.
* Thu Jun 29 2000 - kkaempf@suse.de
- requires y2t_prnt
* Wed Jun 28 2000 - kendy@suse.cz
- Bugfix in Aplying macros on autodetected printers.
  lpd restart before printing the testpage (needed for lprng)
* Mon Jun 26 2000 - kkaempf@suse.de
- message changes
  version 2.0.6
* Thu Jun 22 2000 - kendy@suse.cz
- Bugfixes in write of /etc/apsfilterrc.<samba/novell>
* Tue Jun 20 2000 - kendy@suse.cz
- Bugfixes in dependent options and comparison of IEEE1284 strings.
* Mon Jun 19 2000 - kendy@suse.cz
- Use of the comments in the database.
* Fri Jun 09 2000 - kendy@suse.cz
- Samba & Novell printers
* Thu Jun 08 2000 - kendy@suse.cz
- The structure of the database changed.
  printers.ycp -> printers.ycp & printer_macros.ycp
  Remote printers
  New screen layout
* Fri May 26 2000 - schwab@suse.de
- Remove noarch.
* Fri May 19 2000 - kkaempf@suse.de
- initial version
